state_VLC_enc Class Reference

`#include <ht_block_encoding.hpp>`

## Public Member Functions

| state_VLC_enc (uint8_t *p)
void | emitVLCBits (uint16_t cwd, uint8_t len)

## Private Attributes

int32_t | pos
uint8_t | bits
uint8_t | tmp
uint8_t | last
uint8_t *const | buf

## Friends

int32_t | termMELandVLC (state_VLC_enc &, state_MEL_enc &)

## Constructor & Destructor Documentation

## state_VLC_enc()

state_VLC_enc::state_VLC_enc | ( | uint8_t * | p | ) |

inline explicit

References buf, and pos.

## Member Function Documentation

## emitVLCBits()

void state_VLC_enc::emitVLCBits | ( | uint16_t | cwd,
|  | uint8_t | len
| ) |  |

References bits, buf, last, pos, and tmp.

Referenced by htj2k_encode().

## Friends And Related Symbol Documentation

## termMELandVLC

int32_t termMELandVLC | ( | state_VLC_enc & | VLC,
|  | state_MEL_enc & | MEL
| ) |  |

friend

## Member Data Documentation

## bits

uint8_t state_VLC_enc::bits

private

Referenced by emitVLCBits().

## buf

uint8_t* const state_VLC_enc::buf

private

Referenced by emitVLCBits(), and state_VLC_enc().

## last

uint8_t state_VLC_enc::last

private

Referenced by emitVLCBits().

## pos

int32_t state_VLC_enc::pos

private

Referenced by emitVLCBits(), and state_VLC_enc().

## tmp

uint8_t state_VLC_enc::tmp

private

Referenced by emitVLCBits().

The documentation for this class was generated from the following files:

- ht_block_encoding.hpp
- ht_block_encoding.cpp